> ## Documentation Index
> Fetch the complete documentation index at: https://docs.betterstacks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# show file



## OpenAPI

````yaml get /api/v1/files/{id}
openapi: 3.0.1
info:
  title: API V1
  version: v1
servers:
  - url: https://{defaultHost}
    variables:
      defaultHost:
        default: api.betterstacks.com
  - url: https://betterstacks.com/
    description: Production server
  - url: https://qa.betterstacks.com/
    description: Qa server
security:
  - bearerAuth: []
paths:
  /api/v1/files/{id}:
    parameters:
      - name: id
        in: path
        description: id
        required: true
        schema:
          type: string
    get:
      tags:
        - Files
      summary: show file
      responses:
        '200':
          description: successful
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: apiKey
      name: X-Authorization
      in: header

````